Bug 72479 - up2date crash when re-registering on rhn if User Name wrong
up2date crash when re-registering on rhn if User Name wrong
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
null
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-24 07:24 EDT by Nigel Smith
Modified: 2015-01-07 18:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-24 07:24:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nigel Smith 2002-08-24 07:24:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461; .NET 
CLR 1.0.3705)

Description of problem:
Just installed 'null' and running 'up2date' for the first time on this PC.  It 
goes into the screens to re-register on the 'RedHat Network'.  By mistake, I 
typed the wrong 'User Name', for my existing account.  (Password and email 
address entered ok)
On submitting the screen, the program crashed with this:

Traceback (most recent call last):
  File "/usr/sbin/up2date", line 773, in ?
    main()
  File "/usr/sbin/up2date", line 494, in main
    tui.main()
  File "/usr/share/rhn/up2date_client/tui.py", line 1047, in main
    tui.run()
  File "/usr/share/rhn/up2date_client/tui.py", line 997, in run
    result = win.run()
  File "/usr/share/rhn/up2date_client/tui.py", line 257, in run
    valid = self.validateFields()
  File "/usr/share/rhn/up2date_client/tui.py", line 219, in validateFields
    except up2dateErrors.ValidationError, e:
AttributeError: 'module' object has no attribute 'ValidationError'

When I re-run the program, and entered a valid username ( & password & email !) 
it worked with no problem as expected.


Version-Release number of selected component (if applicable):
up2date-2.9.46-1
rhnlib-0.8-13


How reproducible:
Always

Steps to Reproduce:
1.Install null on new PC
2.Run up2date for fiest time
3.Re-Register existing account, but enter wrong username.
	

Actual Results:  Crash.

Expected Results:  Not crash.

Additional info:
Comment 1 Adrian Likins 2002-08-26 15:23:26 EDT
hmm, indeed. Missing the defination of that error class.

Should be fixed in 2.9.56

Note You need to log in before you can comment on or make changes to this bug.